SAMBA_GPOUPDATE(8)

NAME
samba-gpupdate - apply group policy

SYNOPSIS

samba-gpupdate

samba-gpupdate [options]

DESCRIPTION

This tool is part of the samba(1) suite.

samba-gpupdate a script for applying and unapplying Group Policy. This applies password policies (minimum/maximum password age, minimum password length, and password complexity), kerberos policies (user/service ticket lifetime and renew lifetime), smb.conf policies, hourly/daily/weekly/monthly cron scripts, Sudo Privileges, Message of the Day and Logon Prompt messages, etc.

OPTIONS

-h, --help show this help message and exit

-H URL, --url=URL URL for the samdb

-X, --unapply Unapply Group Policy

--target {Computer | User}

--force Reapplies all policy settings

--rsop Print the Resultant Set of Policy

Samba Common Options:

-s FILE, --configfile=FILE Configuration file

-d DEBUGLEVEL, --debuglevel=DEBUGLEVEL debug level

--option=OPTION set smb.conf option from command line

--realm=REALM set the realm name

Version Options:

-V, --version Display version number

Credentials Options:

--simple-bind-dn=DN DN to use for a simple bind

--password=PASSWORD Password

-U USERNAME, --username=USERNAME Username

-W WORKGROUP, --workgroup=WORKGROUP Workgroup

-N, --no-pass Don't ask for a password

-k KERBEROS, --kerberos=KERBEROS Use Kerberos

--ipaddress=IPADDRESS IP address of server

-P, --machine-pass Use stored machine account password

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.